Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512698 - unable to install rpm-ostree via rhel-atomic-host-rpms
Summary: unable to install rpm-ostree via rhel-atomic-host-rpms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm-ostree-client
Version: 7.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
: 1518510 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 21:21 UTC by Jon Disnard
Modified: 2018-01-26 19:51 UTC (History)
5 users (show)

Fixed In Version: rpm-ostree-libs-2017.11-1.atomic.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-26 19:51:07 UTC


Attachments (Terms of Use)

Description Jon Disnard 2017-11-13 21:21:33 UTC
Description of problem:

Unable to yum install/update rpm-ostree on rhel7-server host.


Steps to Reproduce: 
1. subscription-manager repos --enable=rhel-atomic-host-rpms
2. yum install --verbose rpm-ostree
3.

Actual results:


Resolving Dependencies
--> Running transaction check
---> Package rpm-ostree.x86_64 0:2017.9-2.atomic.el7 will be installed
--> Processing Dependency: rpm-ostree-libs(x86-64) = 2017.9-2.atomic.el7 for package: rpm-ostree-2017.9-2.atomic.el7.x86_64
--> Processing Dependency: librpmostree-1.so.1()(64bit) for package: rpm-ostree-2017.9-2.atomic.el7.x86_64
--> Running transaction check
---> Package rpm-ostree.x86_64 0:2017.9-2.atomic.el7 will be installed
--> Processing Dependency: rpm-ostree-libs(x86-64) = 2017.9-2.atomic.el7 for package: rpm-ostree-2017.9-2.atomic.el7.x86_64
---> Package rpm-ostree-client.x86_64 0:2017.9-1.atomic.el7 will be installed
--> Processing Conflict: rpm-ostree-client-2017.9-1.atomic.el7.x86_64 conflicts rpm-ostree
--> Finished Dependency Resolution
Error: Package: rpm-ostree-2017.9-2.atomic.el7.x86_64 (rhel-atomic-host-rpms)
           Requires: rpm-ostree-libs(x86-64) = 2017.9-2.atomic.el7
Error: rpm-ostree-client conflicts with rpm-ostree-2017.9-2.atomic.el7.x86_64
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: rpm-ostree-2017.9-2.atomic.el7.x86_64 (rhel-atomic-host-rpms)
           Requires: rpm-ostree-libs(x86-64) = 2017.9-2.atomic.el7
Error: rpm-ostree-client conflicts with rpm-ostree-2017.9-2.atomic.el7.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:


To install rpm-ostree onto a rhel7 server system.


Additional info:

Comment 7 Jonathan Lebon 2017-11-29 16:28:35 UTC
*** Bug 1518510 has been marked as a duplicate of this bug. ***

Comment 9 Derrick Ornelas 2018-01-26 19:51:07 UTC
Fixed in 7.4.4

# subscription-manager repos --enable=rhel-atomic-host-rpms
Repository 'rhel-atomic-host-rpms' is enabled for this system.

# yum install rpm-ostree
Loaded plugins: product-id, search-disabled-repos, subscription-manager
rhel-7-server-extras-rpms                                                                                                                | 3.4 kB  00:00:00     
rhel-7-server-rh-common-rpms                                                                                                             | 3.8 kB  00:00:00     
rhel-7-server-rpms                                                                                                                       | 3.5 kB  00:00:00     
rhel-atomic-host-rpms                                                                                                                    | 4.0 kB  00:00:00     
(1/3): rhel-atomic-host-rpms/x86_64/updateinfo                                                                                           |  44 kB  00:00:00     
(2/3): rhel-atomic-host-rpms/x86_64/group                                                                                                |  104 B  00:00:00     
(3/3): rhel-atomic-host-rpms/x86_64/primary_db                                                                                           | 135 kB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package rpm-ostree.x86_64 0:2017.11-1.atomic.el7 will be installed
--> Processing Dependency: rpm-ostree-libs(x86-64) = 2017.11-1.atomic.el7 for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2016.14)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2016.3)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2016.4)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2016.5)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2016.8)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2017.10)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2017.2)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2017.4)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1(LIBOSTREE_2017.7)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libsolv.so.0(SOLV_1.0)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libsolvext.so.0(SOLV_1.0)(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: ostree-fuse for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libarchive.so.13()(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libostree-1.so.1()(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: librepo.so.0()(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: librpmostree-1.so.1()(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libsolv.so.0()(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Processing Dependency: libsolvext.so.0()(64bit) for package: rpm-ostree-2017.11-1.atomic.el7.x86_64
--> Running transaction check
---> Package libarchive.x86_64 0:3.1.2-10.el7_2 will be installed
---> Package librepo.x86_64 0:1.7.16-1.el7 will be installed
---> Package libsolv.x86_64 0:0.6.26-1.el7 will be installed
---> Package ostree.x86_64 0:2017.14-2.el7 will be installed
---> Package ostree-fuse.x86_64 0:2017.14-2.el7 will be installed
--> Processing Dependency: fuse for package: ostree-fuse-2017.14-2.el7.x86_64
--> Processing Dependency: libfuse.so.2(FUSE_2.5)(64bit) for package: ostree-fuse-2017.14-2.el7.x86_64
--> Processing Dependency: libfuse.so.2(FUSE_2.6)(64bit) for package: ostree-fuse-2017.14-2.el7.x86_64
--> Processing Dependency: libfuse.so.2(FUSE_2.9)(64bit) for package: ostree-fuse-2017.14-2.el7.x86_64
--> Processing Dependency: libfuse.so.2()(64bit) for package: ostree-fuse-2017.14-2.el7.x86_64
---> Package rpm-ostree-libs.x86_64 0:2017.11-1.atomic.el7 will be installed
--> Running transaction check
---> Package fuse.x86_64 0:2.9.2-8.el7 will be installed
---> Package fuse-libs.x86_64 0:2.9.2-8.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================
 Package                             Arch                       Version                                     Repository                                     Size
================================================================================================================================================================
Installing:
 rpm-ostree                          x86_64                     2017.11-1.atomic.el7                        rhel-atomic-host-rpms                         389 k
Installing for dependencies:
 fuse                                x86_64                     2.9.2-8.el7                                 rhel-7-server-rpms                             85 k
 fuse-libs                           x86_64                     2.9.2-8.el7                                 rhel-7-server-rpms                             93 k
 libarchive                          x86_64                     3.1.2-10.el7_2                              rhel-7-server-rpms                            319 k
 librepo                             x86_64                     1.7.16-1.el7                                rhel-7-server-rpms                             77 k
 libsolv                             x86_64                     0.6.26-1.el7                                rhel-7-server-rpms                            323 k
 ostree                              x86_64                     2017.14-2.el7                               rhel-7-server-extras-rpms                     446 k
 ostree-fuse                         x86_64                     2017.14-2.el7                               rhel-7-server-extras-rpms                      17 k
 rpm-ostree-libs                     x86_64                     2017.11-1.atomic.el7                        rhel-atomic-host-rpms                         127 k

Transaction Summary
================================================================================================================================================================
Install  1 Package (+8 Dependent packages)

Total download size: 1.8 M
Installed size: 4.5 M
Is this ok [y/d/N]: y
Downloading packages:
(1/9): fuse-2.9.2-8.el7.x86_64.rpm                                                                                                       |  85 kB  00:00:00     
(2/9): fuse-libs-2.9.2-8.el7.x86_64.rpm                                                                                                  |  93 kB  00:00:00     
(3/9): librepo-1.7.16-1.el7.x86_64.rpm                                                                                                   |  77 kB  00:00:00     
(4/9): libarchive-3.1.2-10.el7_2.x86_64.rpm                                                                                              | 319 kB  00:00:00     
(5/9): libsolv-0.6.26-1.el7.x86_64.rpm                                                                                                   | 323 kB  00:00:00     
(6/9): ostree-2017.14-2.el7.x86_64.rpm                                                                                                   | 446 kB  00:00:00     
(7/9): ostree-fuse-2017.14-2.el7.x86_64.rpm                                                                                              |  17 kB  00:00:00     
(8/9): rpm-ostree-2017.11-1.atomic.el7.x86_64.rpm                                                                                        | 389 kB  00:00:00     
(9/9): rpm-ostree-libs-2017.11-1.atomic.el7.x86_64.rpm                                                                                   | 127 kB  00:00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                           1.2 MB/s | 1.8 MB  00:00:01     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : libarchive-3.1.2-10.el7_2.x86_64                                                                                                             1/9 
  Installing : ostree-2017.14-2.el7.x86_64                                                                                                                  2/9 
  Installing : librepo-1.7.16-1.el7.x86_64                                                                                                                  3/9 
  Installing : rpm-ostree-libs-2017.11-1.atomic.el7.x86_64                                                                                                  4/9 
  Installing : fuse-2.9.2-8.el7.x86_64                                                                                                                      5/9 
  Installing : fuse-libs-2.9.2-8.el7.x86_64                                                                                                                 6/9 
  Installing : ostree-fuse-2017.14-2.el7.x86_64                                                                                                             7/9 
  Installing : libsolv-0.6.26-1.el7.x86_64                                                                                                                  8/9 
  Installing : rpm-ostree-2017.11-1.atomic.el7.x86_64                                                                                                       9/9 
rhel-atomic-host-rpms/x86_64/productid                                                                                                   | 2.1 kB  00:00:00     
  Verifying  : rpm-ostree-2017.11-1.atomic.el7.x86_64                                                                                                       1/9 
  Verifying  : libsolv-0.6.26-1.el7.x86_64                                                                                                                  2/9 
  Verifying  : librepo-1.7.16-1.el7.x86_64                                                                                                                  3/9 
  Verifying  : libarchive-3.1.2-10.el7_2.x86_64                                                                                                             4/9 
  Verifying  : ostree-2017.14-2.el7.x86_64                                                                                                                  5/9 
  Verifying  : fuse-libs-2.9.2-8.el7.x86_64                                                                                                                 6/9 
  Verifying  : fuse-2.9.2-8.el7.x86_64                                                                                                                      7/9 
  Verifying  : ostree-fuse-2017.14-2.el7.x86_64                                                                                                             8/9 
  Verifying  : rpm-ostree-libs-2017.11-1.atomic.el7.x86_64                                                                                                  9/9 

Installed:
  rpm-ostree.x86_64 0:2017.11-1.atomic.el7                                                                                                                      

Dependency Installed:
  fuse.x86_64 0:2.9.2-8.el7         fuse-libs.x86_64 0:2.9.2-8.el7     libarchive.x86_64 0:3.1.2-10.el7_2     librepo.x86_64 0:1.7.16-1.el7                    
  libsolv.x86_64 0:0.6.26-1.el7     ostree.x86_64 0:2017.14-2.el7      ostree-fuse.x86_64 0:2017.14-2.el7     rpm-ostree-libs.x86_64 0:2017.11-1.atomic.el7    

Complete!


Note You need to log in before you can comment on or make changes to this bug.